Bug 140623 - [MAINTAINER-UPDATE] update mail/extman to 1.0.1
Summary: [MAINTAINER-UPDATE] update mail/extman to 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yi-Jheng Lin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-17 03:50 UTC by chifeng
Modified: 2009-11-23 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (24.14 KB, patch)
2009-11-17 03:50 UTC, chifeng
no flags Details | Diff
patch.extman.txt (24.40 KB, text/plain; charset=US-ASCII)
2009-11-23 09:38 UTC, chifeng
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description chifeng 2009-11-17 03:50:00 UTC
Update mail/extman to 1.0.1, please commit! thanks!

Fix: apply this patch.

Patch attached with submission follows:
How-To-Repeat: NONE.
Comment 1 Yi-Jheng Lin freebsd_committer 2009-11-17 04:17:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->yzlin

I'll take it.
Comment 2 Yi-Jheng Lin freebsd_committer 2009-11-21 11:22:25 UTC
Hi, Chifeng

-	@cd ${WRKSRC} && ${COPYTREE_SHARE} . ${WWWDIR}
+	@cd ${WRKSRC} && ${COPYTREE_BIN} . ${WWWDIR}

Not every file under ${WWWDIR} should be set 'executable'.
I think ${COPYTREE_SHARE} is better.

%%WWWDIR%%/webman.cf.default
%%WWWDIR%%/webman.cf

I think these configuration files should follow the policy from
http://www.freebsd.org/doc/en/books/porters-handbook/plist-config.html

Regards,
yzlin
Comment 3 dfilter service freebsd_committer 2009-11-23 16:09:30 UTC
yzlin       2009-11-23 16:09:22 UTC

  FreeBSD ports repository

  Modified files:
    mail/extman          Makefile distinfo pkg-plist 
  Log:
  - Update to 1.0.1
  
  PR:             ports/140623
  Submitted by:   Chifeng Qu <chifeng AT gmail.com> (maintainer)
  Approved by:    lwhsu/rafan (mentors, implicit)
  
  Revision  Changes    Path
  1.9       +31 -2     ports/mail/extman/Makefile
  1.7       +3 -3      ports/mail/extman/distinfo
  1.5       +299 -271  ports/mail/extman/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Yi-Jheng Lin freebsd_committer 2009-11-23 16:10:10 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!